import { Disposable, Emitter, Event, IDisposable, IEventBus, MaybeNull, URI } from '@opensumi/ide-core-browser';
import { StaticResourceService } from '@opensumi/ide-core-browser/lib/static-resource';
import { IThemeService } from '@opensumi/ide-theme';
import { IWebview, IWebviewContentOptions, IWebviewContentScrollPosition, IWebviewService } from './types';
export declare abstract class AbstractWebviewPanel extends Disposable implements IWebview {
    readonly id: string;
    protected _html: string;
    protected _options: IWebviewContentOptions;
    initialScrollProgress: number;
    state: any;
    _onDidFocus: Emitter<void>;
    onDidFocus: Event<void>;
    _onDidBlur: Emitter<void>;
    onDidBlur: Event<void>;
    _onDidClickLink: Emitter<URI>;
    onDidClickLink: Event<URI>;
    _onDidScroll: Emitter<IWebviewContentScrollPosition>;
    onDidScroll: Event<IWebviewContentScrollPosition>;
    _onDidUpdateState: Emitter<any>;
    onDidUpdateState: Event<any>;
    _onRemove: Emitter<void>;
    onRemove: Event<void>;
    protected _isListening: boolean;
    private _focused;
    protected _ready: Promise<void>;
    webviewService: IWebviewService;
    themeService: IThemeService;
    eventBus: IEventBus;
    private readonly appConfig;
    staticResourceService: StaticResourceService;
    protected _keybindingDomTarget: HTMLElement | undefined;
    setKeybindingDomTarget(target: any): void;
    constructor(id: string, options?: IWebviewContentOptions);
    init(): void;
    postMessage(message: any): Promise<void>;
    get options(): IWebviewContentOptions;
    onMessage(listener: (message: any) => any): IDisposable;
    protected initEvents(): void;
    protected updateStyle(): void;
    getContent(): string;
    setContent(html: string): Promise<void>;
    protected doUpdateContent(): any;
    abstract appendTo(container: HTMLElement): any;
    protected abstract preprocessHtml(html: string): string;
    protected abstract _sendToWebview(channel: string, data: any): any;
    protected abstract _onWebviewMessage(channel: string, listener: (data: any) => any): IDisposable;
    updateOptions(options: IWebviewContentOptions): void;
    layout(): void;
    focus(): void;
    reload(): void;
    protected handleFocusChange(isFocused: boolean): void;
    private style;
    setListenMessages(listening: boolean): void;
    abstract prepareContainer(): any;
    abstract getDomNode(): MaybeNull<HTMLElement>;
    abstract remove(): void;
}
//# sourceMappingURL=abstract-webview.d.ts.map