import React from 'react';
import { Disposable } from '@opensumi/ide-core-browser';
import { ReactEditorComponent } from '@opensumi/ide-editor/lib/browser';
import { IEditorWebviewMetaData, IPlainWebview, IWebview } from './types';
export declare const EditorWebviewComponentView: ReactEditorComponent<IEditorWebviewMetaData>;
/**
 * 同一个ID创建的webview会保存在内存以便重复使用，不要使用这个组件进行大量不同webview的创建
 */
export declare const PlainWebview: React.ComponentType<{
    id: string;
    renderRoot?: HTMLElement;
    appendToChild?: boolean;
}>;
export declare class WebviewMounter extends Disposable {
    private webview;
    private container;
    private renderRoot;
    private mounting;
    private _container;
    constructor(webview: IWebview | IPlainWebview, container: HTMLElement, mutationRoot: HTMLElement, renderRoot?: HTMLElement);
    doMount(): void;
    getWebviewRealContainer(): HTMLElement;
}
//# sourceMappingURL=editor-webview.d.ts.map