"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ElectronWebviewModuleContribution = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const types_1 = require("./types");
const webview_service_1 = require("./webview.service");
const WEBVIEW_DEVTOOLS_COMMAND = {
    id: 'workbench.action.webview.openDeveloperTools',
    label: (0, ide_core_common_1.localize)('openToolsLabel', 'Open Webview Developer Tools'),
};
let ElectronWebviewModuleContribution = class ElectronWebviewModuleContribution {
    registerCommands(commandRegistry) {
        commandRegistry.registerCommand(WEBVIEW_DEVTOOLS_COMMAND, {
            execute: () => {
                const elements = document.querySelectorAll('webview');
                // eslint-disable-next-line @typescript-eslint/prefer-for-of
                for (let i = 0; i < elements.length; i += 1) {
                    try {
                        elements[i].openDevTools();
                    }
                    catch (e) {
                        // noop
                    }
                }
            },
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(types_1.IWebviewService),
    tslib_1.__metadata("design:type", webview_service_1.WebviewServiceImpl)
], ElectronWebviewModuleContribution.prototype, "webviewService", void 0);
ElectronWebviewModuleContribution = tslib_1.__decorate([
    (0, ide_core_browser_1.Domain)(ide_core_browser_1.CommandContribution)
], ElectronWebviewModuleContribution);
exports.ElectronWebviewModuleContribution = ElectronWebviewModuleContribution;
//# sourceMappingURL=electron.contribution.js.map