"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebviewModule = exports.PlainWebview = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const contribution_1 = require("./contribution");
const electron_contribution_1 = require("./electron.contribution");
const types_1 = require("./types");
const webview_service_1 = require("./webview.service");
tslib_1.__exportStar(require("./types"), exports);
var editor_webview_1 = require("./editor-webview");
Object.defineProperty(exports, "PlainWebview", { enumerable: true, get: function () { return editor_webview_1.PlainWebview; } });
let WebviewModule = class WebviewModule extends ide_core_browser_1.BrowserModule {
    constructor() {
        super(...arguments);
        this.providers = [
            {
                token: types_1.IWebviewService,
                useClass: webview_service_1.WebviewServiceImpl,
            },
            contribution_1.WebviewModuleContribution,
        ];
        this.electronProviders = [electron_contribution_1.ElectronWebviewModuleContribution];
    }
};
WebviewModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], WebviewModule);
exports.WebviewModule = WebviewModule;
//# sourceMappingURL=index.js.map