import { Disposable, Emitter, Event } from '@opensumi/ide-core-browser';
import { IPlainWebview } from './types';
export declare class IframePlainWebview extends Disposable implements IPlainWebview {
    private _url;
    private _iframe;
    private wrapper;
    _onMessage: Emitter<any>;
    onMessage: Event<any>;
    _onRemove: Emitter<void>;
    onRemove: Event<void>;
    _onLoadURL: Emitter<string>;
    onLoadURL: Event<string>;
    private _ready;
    get ready(): Promise<void>;
    constructor();
    get url(): string | undefined;
    setPartition(value: string): void;
    loadURL(url: string): Promise<void>;
    getDomNode(): HTMLIFrameElement | null;
    appendTo(container: HTMLElement): void;
    dispose(): void;
    postMessage(message: any): void;
    remove(): void;
}
interface IAllowedWebviewAttributes {
    partition?: string;
}
export declare class ElectronPlainWebview extends Disposable implements IPlainWebview {
    private _url;
    private webview;
    private wrapper;
    private webviewDomReady;
    _onMessage: Emitter<any>;
    onMessage: Event<any>;
    _onRemove: Emitter<void>;
    onRemove: Event<void>;
    _onLoadURL: Emitter<string>;
    onLoadURL: Event<string>;
    constructor();
    get url(): string | undefined;
    getDomNode(): HTMLDivElement | null;
    getWebviewElement(): Electron.WebviewTag | null;
    extendAttributes: IAllowedWebviewAttributes;
    setPartition(value: string): void;
    loadURL(url: string): Promise<void>;
    private doLoadURL;
    appendTo(container: HTMLElement): void;
    dispose(): void;
    postMessage(message: any): void;
    remove(): void;
}
export {};
//# sourceMappingURL=plain-webview.d.ts.map