import { Disposable, Emitter, Event } from '@opensumi/ide-core-browser';
import { IElectronMainUIService, IElectronPlainWebviewWindowOptions } from '@opensumi/ide-core-common/lib/electron';
import { IPlainWebviewWindow } from './types';
export declare class ElectronPlainWebviewWindow extends Disposable implements IPlainWebviewWindow {
    electronMainUIService: IElectronMainUIService;
    private _windowId;
    private _webContentsId;
    private _ready;
    private _closed;
    constructor(options?: IElectronPlainWebviewWindowOptions, env?: {
        [key: string]: string;
    });
    _onMessage: Emitter<any>;
    onMessage: Event<any>;
    _onClosed: Emitter<void>;
    onClosed: Event<void>;
    private _url;
    get ready(): Promise<void>;
    get url(): string;
    loadURL(url: string): Promise<void>;
    show(): Promise<void>;
    hide(): Promise<void>;
    setSize(size: {
        width: number;
        height: number;
    }): Promise<void>;
    setAlwaysOnTop(flag: boolean): Promise<void>;
    postMessage(message: any): Promise<void>;
    _close(): Promise<void> | undefined;
    get windowId(): number;
    get webContentsId(): number;
}
//# sourceMappingURL=webview-window.d.ts.map