"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebviewElectronMainModule = exports.WebviewMainElectronContribution = void 0;
const tslib_1 = require("tslib");
const electron_1 = require("electron");
const di_1 = require("@opensumi/di");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const ide_core_electron_main_1 = require("@opensumi/ide-core-electron-main");
const protocol_1 = require("@opensumi/ide-core-electron-main/lib/bootstrap/services/protocol");
const common_1 = require("../common");
protocol_1.ProtocolElectronMainContribution.schemePrivileges.push({
    scheme: common_1.WebviewScheme,
    privileges: { standard: true, secure: true, supportFetchAPI: true, corsEnabled: true, allowServiceWorkers: true },
});
let WebviewMainElectronContribution = class WebviewMainElectronContribution {
    constructor() {
        this.webviewContent = '<!DOCTYPE html>\r\n<html lang="en" style="width: 100%; height: 100%">\r\n<head>\r\n\t<title>Virtual Document</title>\r\n</head>\r\n<body style="margin: 0; overflow: hidden; width: 100%; height: 100%">\r\n</body>\r\n</html>';
    }
    onStart() {
        electron_1.protocol.registerStringProtocol(common_1.WebviewScheme, (_request, callback) => {
            callback(this.webviewContent);
        });
    }
};
WebviewMainElectronContribution = tslib_1.__decorate([
    (0, ide_core_common_1.Domain)(ide_core_electron_main_1.ElectronMainContribution)
], WebviewMainElectronContribution);
exports.WebviewMainElectronContribution = WebviewMainElectronContribution;
let WebviewElectronMainModule = class WebviewElectronMainModule extends ide_core_electron_main_1.ElectronMainModule {
    constructor() {
        super(...arguments);
        this.providers = [WebviewMainElectronContribution];
    }
};
WebviewElectronMainModule = tslib_1.__decorate([
    (0, di_1.Injectable)()
], WebviewElectronMainModule);
exports.WebviewElectronMainModule = WebviewElectronMainModule;
//# sourceMappingURL=index.js.map